Bug 1454308 - Ovirt-ha-broker service not being turned off on undeployed ha-host
Summary: Ovirt-ha-broker service not being turned off on undeployed ha-host
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: ovirt-host-deploy
Classification: oVirt
Component: Plugins.Hosted-Engine
Version: 1.7.0
Hardware: x86_64
OS: Linux
medium
medium vote
Target Milestone: ovirt-4.2.0
: 1.7.0
Assignee: Ido Rosenzwig
QA Contact: Nikolai Sednev
URL:
Whiteboard:
Depends On: 1463653 1512534
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-05-22 12:32 UTC by Nikolai Sednev
Modified: 2019-04-28 14:24 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-20 10:42:47 UTC
oVirt Team: Integration
rule-engine: ovirt-4.2+
rule-engine: blocker+


Attachments (Terms of Use)
engine (8.55 MB, application/x-xz)
2017-05-22 12:38 UTC, Nikolai Sednev
no flags Details
undeployed host with active broker (16.66 MB, application/x-xz)
2017-05-22 12:39 UTC, Nikolai Sednev
no flags Details
ha-active host (17.46 MB, application/x-xz)
2017-05-22 12:40 UTC, Nikolai Sednev
no flags Details


Links
System ID Priority Status Summary Last Updated
Github https://github.com/oVirt ovirt-ansible pull 130 None None None 2017-11-16 08:39:20 UTC

Description Nikolai Sednev 2017-05-22 12:32:03 UTC
Description of problem:
ovirt-ha-broker service not being turned off on undeployed ha-host, while it should be turned off.

puma19 ~]# systemctl status ovirt-ha-agent
● ovirt-ha-agent.service - oVirt Hosted Engine High Availability Monitoring Agent
   Loaded: loaded (/usr/lib/systemd/system/ovirt-ha-agent.service; disabled; vendor preset: disabled)
   Active: inactive (dead)

puma19 ~]# systemctl status ovirt-ha-broker
● ovirt-ha-broker.service - oVirt Hosted Engine High Availability Communications Broker
   Loaded: loaded (/usr/lib/systemd/system/ovirt-ha-broker.service; disabled; vendor preset: disabled)
   Active: active (running) since Sun 2017-05-21 14:35:19 IDT; 24h ago
 Main PID: 16527 (ovirt-ha-broker)
   CGroup: /system.slice/ovirt-ha-broker.service
           └─16527 /usr/bin/python /usr/share/ovirt-hosted-engine-ha/ovirt-ha-broker --no-daemon

If you'll follow the https://access.redhat.com/documentation/en-us/red_hat_virtualization/4.1/html/self-hosted_engine_guide/removing_a_host_from_a_self-hosted_engine_environment , you should see there in "5.2. REMOVING A HOST FROM A SELF-HOSTED ENGINE ENVIRONMENT" that "3.Click the Hosted Engine sub-tab and select the Undeploy radio button. This action stops the ovirt-ha-agent and ovirt-ha-broker services and removes the self-hosted engine configuration file.


Version-Release number of selected component (if applicable):
ovirt-vmconsole-1.0.4-1.el7ev.noarch
qemu-kvm-rhev-2.6.0-28.el7_3.9.x86_64
ovirt-imageio-daemon-1.0.0-0.el7ev.noarch
ovirt-engine-sdk-python-3.6.9.1-1.el7ev.noarch
sanlock-3.4.0-1.el7.x86_64
ovirt-vmconsole-host-1.0.4-1.el7ev.noarch
mom-0.5.9-1.el7ev.noarch
vdsm-4.19.15-1.el7ev.x86_64
ovirt-hosted-engine-ha-2.1.0.6-1.el7ev.noarch
ovirt-setup-lib-1.1.0-1.el7ev.noarch
ovirt-imageio-common-1.0.0-0.el7ev.noarch
libvirt-client-2.0.0-10.el7_3.5.x86_64
ovirt-hosted-engine-setup-2.1.0.6-1.el7ev.noarch
ovirt-host-deploy-1.6.5-1.el7ev.noarch
Linux version 3.10.0-514.21.1.el7.x86_64 (mockbuild@x86-020.build.eng.bos.redhat.com) (gcc version 4.8.5 20150623 (Red Hat 4.8.5-11) (GCC) ) #1 SMP Sat Apr 22 02:41:35 EDT 2017
Linux 3.10.0-514.21.1.el7.x86_64 #1 SMP Sat Apr 22 02:41:35 EDT 2017 x86_64 x86_64 x86_64 GNU/Linux
Red Hat Enterprise Linux Server release 7.3 (Maipo)


How reproducible:
100%

Steps to Reproduce:
1.Deploy HE on pair of hosts over NFS and add one or more NFS data storage domains to get hosted-storage auto-imported.
2.Undeploy one of the ha-hosts.
3.Check for "systemctl status ovirt-ha-agent" and "systemctl status ovirt-ha-broker" on undeployed host.


Actual results:
ovirt-ha-broker service is running.

Expected results:
ovirt-ha-broker service should be properly stopped.

Additional info:
Logs from undeplloyed host and the engine being attached.
This bug being opened from one of three different issues risen from https://bugzilla.redhat.com/show_bug.cgi?id=1442580.

Comment 1 Nikolai Sednev 2017-05-22 12:38:27 UTC
Created attachment 1281035 [details]
engine

Comment 2 Nikolai Sednev 2017-05-22 12:39:27 UTC
Created attachment 1281036 [details]
undeployed host with active broker

Comment 3 Nikolai Sednev 2017-05-22 12:40:18 UTC
Created attachment 1281037 [details]
ha-active host

Comment 4 Red Hat Bugzilla Rules Engine 2017-06-12 09:21:27 UTC
This bug report has Keywords: Regression or TestBlocker.
Since no regressions or test blockers are allowed between releases, it is also being identified as a blocker for this release. Please resolve ASAP.

Comment 5 Yaniv Kaul 2017-11-16 07:40:40 UTC
Sandro, is this an oVirt GA blocker? If it is, please make sure it's being worked on. Otherwise, please defer to 4.2.1.

Comment 6 Simone Tiraboschi 2017-11-16 08:39:20 UTC
https://github.com/oVirt/ovirt-ansible/pull/130 should address this

Comment 7 Martin Perina 2017-11-16 14:27:08 UTC
(In reply to Simone Tiraboschi from comment #6)
> https://github.com/oVirt/ovirt-ansible/pull/130 should address this

Right, adding dependency on BZ1463653

Comment 8 Nikolai Sednev 2017-11-30 15:07:32 UTC
Deployed using:
ovirt-hosted-engine-ha-2.2.0-0.0.master.20171128125909.20171128125907.gitfa5daa6.el7.centos.noarch
ovirt-hosted-engine-setup-2.2.0-0.0.master.20171129192644.git440040c.el7.centos.noarch
ovirt-engine-appliance-4.2-20171129.1.el7.centos.noarch

Followed reproduction steps and now its working as expected.
Moving to verified.

Comment 9 Sandro Bonazzola 2017-12-20 10:42:47 UTC
This bugzilla is included in oVirt 4.2.0 release, published on Dec 20th 2017.

Since the problem described in this bug report should be
resolved in oVirt 4.2.0 release, published on Dec 20th 2017, it has been closed with a resolution of CURRENT RELEASE.

If the solution does not work for you, please open a new bug report.


Note You need to log in before you can comment on or make changes to this bug.